Gemfile.lock missing dependencies #188

Open
betelgeuse opened this Issue Apr 5, 2010 · 0 comments

Comments

Projects
None yet
1 participant
@betelgeuse

On Linux I have rails installed through package management. On OS X I use gem command. On both with the same Gemfile I get a different Gemfile.lock

source :gemcutter
gem 'rails'

On Linux I get only rails:

--- 
dependencies: 
  rails: 
    group: 
    - :default
    version: ">= 0"
specs: 
- rails: 
    version: 2.3.5
hash: 88cc388d7089842a37c2ff235b1a2fcc91e30e72
sources: 
- Rubygems: 
    uri: http://gemcutter.org

On Mac I get the full depgraph:

--- 
dependencies: 
  rails: 
    group: 
    - :default
    version: ">= 0"
specs: 
- rake: 
    version: 0.8.7
- activesupport: 
    version: 2.3.5
- rack: 
    version: 1.0.1
- actionpack: 
    version: 2.3.5
- actionmailer: 
    version: 2.3.5
- activerecord: 
    version: 2.3.5
- activeresource: 
    version: 2.3.5
- rails: 
    version: 2.3.5
hash: 88cc388d7089842a37c2ff235b1a2fcc91e30e72
sources: 
- Rubygems: 
    uri: http://gemcutter.org

One difference that comes to mind is that with Linux packages the .gem files don't get installed. If they are needed bundler should probably at least warn instead of leaving stuff out of the .lock file.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment